## com.google.appengine.api.users.dev
Class LocalLogoutServlet

    java.lang.Object
      HttpServlet
          com.google.appengine.api.users.dev.LocalLogoutServlet

    public final class LocalLogoutServlet

extends HttpServlet

`LocalLogoutServlet` is the servlet responsible for logging the current user out of the fake authentication provided by the Development AppServer. It does this by removing a cookie used to store the authentication data.

After the user has been logged out, they are redirected to the URL specified in the `"continue"` request parameter.

Constructor Summary
`LocalLogoutServlet()`

Method Summary
`void` `doGet(HttpServletRequest req, HttpServletResponse resp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalLogoutServlet

    public LocalLogoutServlet()

Method Detail

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
               throws java.io.IOException

  Throws:
    `java.io.IOException`